Kerbal Space Program - Bug #17828

Part pictures in top row of VAB list display only their bottom half
03/07/2018 04:10 AM - Nebbie

Status: Closed Start date: 03/07/2018
Severity: Normal % Done: 100%
Assignee:

Category: Camera

Target version: 1.4.3

Version: 1.41 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion: Core Game

Description

Happens for all parts.

Related issues:

Related to Kerbal Space Program - Bug #18114: Part icons missing in Science F... Resolved 03/18/2018
Related to Kerbal Space Program - Bug #17899: component layout problem! Resolved 03/08/2018
Has duplicate Kerbal Space Program - Bug #17871: Top row has top half cut off... Duplicate 03/07/2018
Has duplicate Kerbal Space Program - Bug #17872: Top Icons in VAB and SPH are... Duplicate 03/07/2018
Has duplicate Kerbal Space Program - Bug #18020: (Linux) Part icons overlap V... Duplicate 03/13/2018
Has duplicate Kerbal Space Program - Bug #18462: VAB/SPH parts icon clipped Duplicate 04/08/2018
Has duplicate Kerbal Space Program - Bug #18626: Duplicate - Parts in the Veh... Duplicate 04/19/2018
Has duplicate Kerbal Space Program - Bug #18751: parts display abnormal in VA... Duplicate 05/01/2018
History

#1 - 03/07/2018 04:39 AM - Nebbie
- File screenshot179.png added

- Subject changed from Part icons in list display only their bottom half to Part pictures in top row display only their bottom half

Correction: it only applies to the top row apparently.

#2 - 03/07/2018 06:52 PM - Nebbie

- Status changed from New to Confirmed
- % Done changed from 0 to 10

- Platform OSX added

Looks like this is common to Unix-like systems (OpenGL issue?), based on the two other reports of it.

#3 - 03/07/2018 07:03 PM - Nebbie
- Subject changed from Part pictures in top row display only their bottom half to Part pictures in top row of VAB list display only their bottom half

#4 - 03/08/2018 09:20 AM - Nebbie
- Platform Windows added

Most recent duplicate issue report is from someone using Windows.

#5 - 03/13/2018 07:43 PM - Nebbie

- Version changed from 1.4.0 to 1.4.1

Still happening in 1.4.1

#6 - 03/14/2018 10:10 PM - Squelch
- Status changed from Confirmed to Investigating
- % Done changed from 10 to 20

- Expansion Core Game added

Thank you for reporting this. This does appear to be an openGL problem, and we are already tracking this internally. On Linux Ubuntu systems, the
problem can go away when windowed and then resized. It's not a solution, but does make the problem harder to diagnose.

Forcing openGL on the Windows platform is not supported at this time.

#8 - 03/14/2018 10:40 PM - Squelch
- Has duplicate Bug #17871: Top row has top half cut off of part thumbnails in VAB. added

#9 - 03/14/2018 10:41 PM - Squelch
- Has duplicate Bug #17872: Top Icons in VAB and SPH are cut in half added

#10 - 03/16/2018 08:05 AM - jack_mustang
| confirm this also affects Windows with DX9, with DX11 or DX12 it's a different bug #17827

#11 - 03/16/2018 08:39 AM - kaa253
- File screenshot0.png added
- File Player.log added

| have now seen that with longer part lists including mod parts the part icons also overlap the GUI elements at the bottom of the window.

[KSP Version]: 1.4.1.2089 (LinuxPlayer) en-us

Desktop is 1920 x 1080 @ 60 Hz

New context 0x2a5e4f8 created with attributes:
Initialize engine version: 2017.1.3p1 (02d73f71d3bd)
Forcing GfxDevice: OpenGL Core

GfxDevice: creating device client; threaded=1
Renderer: GeForce GTX 750 Ti/PCle/SSE2

Vendor: NVIDIA Corporation

Version: 4.5.0 NVIDIA 384.111

GLES: 0

#12 - 03/16/2018 05:47 PM - Linlux

- File Capture d’écran_2018-03-16_18-36-15.png added
- File KSP.log added

- Platform deleted (OSX, Windows)

Confirmed on fresh install on Ubuntu 16.04.4.
With intel integrated graphic card.

Kerbal Space Program - 1.4.1.2089 (LinuxPlayer) en-us

#13 - 03/16/2018 05:48 PM - Linlux
- Platform OSX, Windows added

#14 - 03/19/2018 10:56 AM - Squelch
- Has duplicate Bug #18020: (Linux) Part icons overlap Vessel price / CoM string added

#15 - 03/19/2018 10:57 AM - Squelch
- Related to Bug #18114: Part icons missing in Science Facility added

#18 - 04/15/2018 06:38 PM - rduran
Still happening on 1.4.2.2110 (Linux)

#19 - 04/17/2018 11:34 PM - Squelch
- Status changed from Investigating to Being Worked On
- % Done changed from 20 to 30

#20 - 04/18/2018 12:46 AM - Squelch
- Has duplicate Bug #18462: VAB/SPH parts icon clipped added

#21 - 04/19/2018 03:52 AM - wumpkin
Still happening on 1.4.2.2110 (WindowsPlayer 64x)

#22 - 04/26/2018 10:19 PM - Squelch
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.4.3

- % Done changed from 30 to 80

This should now be fully working at all Anti alias settings on all platforms.

#23 - 04/26/2018 11:07 PM - Squelch
- Has duplicate Bug #18626: Duplicate - Parts in the Vehicle Assembly Building are only half showing up added

#24 - 04/27/2018 05:22 AM - SamHall
- File screenshot0.png added
Squelch wrote:

This should now be fully working at all Anti alias settings on all platforms.

agreed, but it doesn't look like we're there just yet I'm afraid.

#25 - 04/27/2018 10:21 AM - Squelch

- Category changed from Gameplay to Camera

Could you attach your settings and log files, and indicate which platform/OS version please?

#26 - 04/30/2018 06:35 PM - Anth12

- File KSP.log added

- File settings.cfg added

- File screenshot1.png added

- File output_log.txt added

- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

Steam KSP 1.4.3 + MH
Windows 10

AA is off

#27 - 05/01/2018 09:07 AM - Squelch
- Has duplicate Bug #18751: parts display abnormal in VAB/SPH added

#28 - 05/01/2018 10:59 AM - Squelch
- Status changed from Not Fixed to Being Worked On
- % Done changed from 50 to 30

Thanks for confirming, and the problem has been identified.

#29 - 05/01/2018 11:24 AM - sdfjh
- File KSP.log added
- File settings.cfg added

i was asked for thoes files

#30 - 05/02/2018 03:59 PM - Anth12

| know. didnt mean anything bad by it. Its just that people when it comes to bug reports
sometimes dont come back. It had been 3 days and | had a bit of time on my hands and was able to replicate the problem
and get them the log files etc

#31 - 05/05/2018 07:14 PM - Nebbie
- File screenshot588.png added

Working fine now, AA on or off, on Linux on 1.4.3.

#32 - 03/15/2019 05:58 PM - nestor
- Status changed from Being Worked On to Ready to Test
- % Done changed from 30 to 80

#33 - 03/17/2019 06:39 PM - Anth12
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100
Fixed as of 1.4.4, cant replicate it in any other version with AA off (never happened with AA on)
Resolved

#34 - 03/28/2019 03:31 AM - joshua.collins

- Status changed from Resolved to Closed

#35 - 04/13/2019 08:09 PM - infinite_monkey

This Bug has been reintroduced in 1.5 and has not been solved as of 1.7!
LPx6Zwj.png

#36 - 04/13/2019 08:26 PM - Anth12

hmmmm, Testing

#37 - 04/13/2019 08:33 PM - Anth12

Maybe at a lesser Resolution....

#38 - 04/13/2019 08:44 PM - Anth12

Sorry. | cant make the bug happen again in 1.7.0 AA off AA on. | made some of the categories to make those little crosses pop up. tried different
resolutions.

Tried it in a lesser resolution at full screen.

| cant get it to do it. You screen shot shows you are using mods...| dont know.

Upload your settings.cfg and | will test that.

#39 - 04/25/2019 09:46 AM - infinite_monkey

@Anth12 | just realized that | didn't specify that | only have this problem on Linux - sorry for that, | was convinced this was specified in the bug
description, but | guess that was in one of the duplicates | read first... Did you test it on Linux as well? This is on a 1920 x 1200 resolution.

#40 - 04/25/2019 07:06 PM - Anth12

| dont have Linux unfortunately

#41 - 06/09/2020 03:23 PM - Robert.Keech
- Related to Bug #17899: component layout problem! added
